let demote_f64 x = F32_convert.demote_f64 x

let convert_u_i32 x = F32_convert.convert_u_i32 x
let convert_s_i32 x = F32_convert.convert_s_i32 x

let convert_u_i64 x = F32_convert.convert_u_i64 x
let convert_s_i64 x = F32_convert.convert_s_i64 x
